import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
var _excluded = ["height"],
    _excluded2 = ["style"];
import { createVNode as _createVNode } from "vue";
import { defineComponent } from 'vue';
import { getOptionProps, getSlot } from '../_util/props-util';
import Upload from './Upload';
import { UploadProps } from './interface';
export default defineComponent({
  name: 'AUploadDragger',
  inheritAttrs: false,
  props: UploadProps,
  render: function render() {
    var _this = this;

    var props = getOptionProps(this);

    var height = props.height,
        restProps = _objectWithoutProperties(props, _excluded);

    var _this$$attrs = this.$attrs,
        style = _this$$attrs.style,
        restAttrs = _objectWithoutProperties(_this$$attrs, _excluded2);

    var draggerProps = _objectSpread(_objectSpread(_objectSpread({}, restProps), restAttrs), {}, {
      type: 'drag',
      style: _objectSpread(_objectSpread({}, style), {}, {
        height: height
      })
    });

    return _createVNode(Upload, draggerProps, {
      default: function _default() {
        return [getSlot(_this)];
      }
    });
  }
});